/// <reference types="node" />
import events from 'events';
export declare type IServerMasterFolderType = 'Image' | 'Style' | 'Material';
export declare const EVENTS: {
    CONNECTED_CHANGED: string;
    BE_SYNC_LAUNCHED_CHANGED: string;
};
export declare class BeSyncService extends events.EventEmitter {
    static EVENTS: {
        CONNECTED_CHANGED: string;
        BE_SYNC_LAUNCHED_CHANGED: string;
    };
    connected: boolean;
    beSyncLaunched: boolean;
    private static instance;
    static getInstance(): BeSyncService;
    private protocol;
    private domain;
    private port;
    private apiPath;
    private get fullApiPath();
    constructor();
    private _request;
    private _call;
    private get;
    checkConnection(): Promise<boolean>;
    checkIsKnown(filePath: string): Promise<{
        isKnown: boolean;
        app: string;
    }>;
    syncKnownFile(filePath: string): Promise<unknown>;
    syncToFolder(masterFolder: IServerMasterFolderType, filePath: string): Promise<unknown>;
    private setConnected;
    private setBeSyncLaunched;
    private startCheckingConnection;
    private prepareFilePath;
}
