/// <reference types="node" />
import events from 'events';
export declare const EVENTS: {
    THEME_CHANGED: string;
};
export declare type ThemeType = 'light' | 'dark';
interface IAdobeSkinInfo {
    appBarBackgroundColor: IAdobeSkinInfoColorInfo;
    appBarBackgroundColorSRGB: IAdobeSkinInfoColorInfo;
    baseFontFamily: string;
    baseFontSize: number;
    panelBackgroundColor: IAdobeSkinInfoColorInfo;
    panelBackgroundColorSRGB: IAdobeSkinInfoColorInfo;
    systemHighlightColor: IAdobeSkinInfoColor;
}
interface IAdobeSkinInfoColorInfo {
    antialiasLevel: number;
    color: IAdobeSkinInfoColor;
    type: number;
}
interface IAdobeSkinInfoColor {
    red: number;
    green: number;
    blue: number;
    alpha: number;
}
export declare class ThemeService extends events.EventEmitter {
    static EVENTS: {
        THEME_CHANGED: string;
    };
    private static instance;
    static getInstance(): ThemeService;
    appSkinInfo?: IAdobeSkinInfo;
    theme: ThemeType;
    bgColor: string;
    fontSize: number;
    fontFamily: string;
    constructor();
    private setAppSkinInfo;
    /** Convert IAdobeSkinInfoColor to hex */
    private toHex;
}
export {};
